# Uses of Class
it.tdlight.jni.TdApi.CanSendStoryResult

## Uses of TdApi.CanSendStoryResult in it.tdlight.jni

Subclasses of TdApi.CanSendStoryResult in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.CanSendStoryResultActiveStoryLimitExceeded`
The limit for the number of active stories exceeded.
`static final class`
`TdApi.CanSendStoryResultBoostNeeded`
The chat must be boosted first by Telegram Premium subscribers to post more stories.
`static final class`
`TdApi.CanSendStoryResultMonthlyLimitExceeded`
The monthly limit for the number of posted stories exceeded.
`static final class`
`TdApi.CanSendStoryResultOk`
A story can be sent.
`static final class`
`TdApi.CanSendStoryResultPremiumNeeded`
The user must subscribe to Telegram Premium to be able to post stories.
`static final class`
`TdApi.CanSendStoryResultWeeklyLimitExceeded`
The weekly limit for the number of posted stories exceeded.
Fields in it.tdlight.jni declared as TdApi.CanSendStoryResult
Modifier and Type
Field
Description
`TdApi.CanSendStoryResult`
TdApi.UpdateStorySendFailed.`errorType`
Type of the error; may be null if unknown.
Constructors in it.tdlight.jni with parameters of type TdApi.CanSendStoryResult
Modifier
Constructor
Description
``
`UpdateStorySendFailed(TdApi.Story story, TdApi.Error error, TdApi.CanSendStoryResult errorType)`
A story failed to send.